Get ticker by symbol
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/tickers/{symbol}import requests
url = "https://futures.kraken.com/derivatives/api/v3/tickers/{symbol}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://futures.kraken.com/derivatives/api/v3/tickers/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/tickers/{symbol}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": "success",
"ticker": {
"tag": "perpetual",
"pair": "XBT:USD",
"symbol": "pi_xbtusd",
"markPrice": 30209.9,
"bid": 8634,
"bidSize": 1000,
"ask": 49289,
"askSize": 139984,
"vol24h": 15304,
"volumeQuote": 40351.34,
"change24h": 1.9974017538161748,
"openInterest": 149655,
"open24h": 49289,
"indexPrice": 21087.8,
"last": 49289,
"lastTime": "2022-06-17T10:46:35.705Z",
"lastSize": 100,
"suspended": false,
"fundingRate": 1.18588737106e-7,
"fundingRatePrediction": 1.1852486794e-7,
"postOnly": false
},
"serverTime": "2022-06-17T11:00:31.335Z"
}{
"result": "error",
"serverTime": "2020-08-27T17:03:33.196Z",
"errors": []
}Market Data
Get ticker by symbol
Get market data for contract or index by symbol
GET
/
tickers
/
{symbol}
Get ticker by symbol
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/tickers/{symbol}import requests
url = "https://futures.kraken.com/derivatives/api/v3/tickers/{symbol}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://futures.kraken.com/derivatives/api/v3/tickers/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/tickers/{symbol}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": "success",
"ticker": {
"tag": "perpetual",
"pair": "XBT:USD",
"symbol": "pi_xbtusd",
"markPrice": 30209.9,
"bid": 8634,
"bidSize": 1000,
"ask": 49289,
"askSize": 139984,
"vol24h": 15304,
"volumeQuote": 40351.34,
"change24h": 1.9974017538161748,
"openInterest": 149655,
"open24h": 49289,
"indexPrice": 21087.8,
"last": 49289,
"lastTime": "2022-06-17T10:46:35.705Z",
"lastSize": 100,
"suspended": false,
"fundingRate": 1.18588737106e-7,
"fundingRatePrediction": 1.1852486794e-7,
"postOnly": false
},
"serverTime": "2022-06-17T11:00:31.335Z"
}{
"result": "error",
"serverTime": "2020-08-27T17:03:33.196Z",
"errors": []
}Path Parameters
Market symbol
Pattern:
[A-Z0-9_.]+Example:
"PF_BTCUSD"
Was this page helpful?
⌘I